    PROGRAM nag_bessel_fun_ex05

      ! Example Program Text for nag_bessel_fun
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out
      USE nag_bessel_fun, ONLY : nag_bessel_y0, nag_bessel_y1
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: n = 8
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: i
      REAL (wp) :: y0, y1
      ! .. Local Arrays ..
      REAL (wp) :: x(n)
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_bessel_fun_ex05'

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) '       x         Y0(x)       Y1(x)'

      x = (/ 0.5_wp, 1.0_wp, 3.0_wp, 6.0_wp, 8.0_wp, 10.0_wp, 100.0_wp, &
       1000.0_wp/)

      DO i = 1, n

        y0 = nag_bessel_y0(x(i))
        y1 = nag_bessel_y1(x(i))

        WRITE (nag_std_out,'(1X,1P,3E12.3)') x(i), y0, y1
      END DO

    END PROGRAM nag_bessel_fun_ex05
